/*
 * Copyright (C) 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.app.jank;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class AppJankStats {

public AppJankStats(int appUid, @android.annotation.NonNull java.lang.String widgetId, @android.annotation.Nullable java.lang.String navigationComponent, @android.annotation.Nullable java.lang.String widgetCategory, @android.annotation.Nullable java.lang.String widgetState, long totalFrames, long jankyFrames, @android.annotation.NonNull android.app.jank.RelativeFrameTimeHistogram relativeFrameTimeHistogram) { throw new RuntimeException("Stub!"); }

public long getJankyFrameCount() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getNavigationComponent() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.app.jank.RelativeFrameTimeHistogram getRelativeFrameTimeHistogram() { throw new RuntimeException("Stub!"); }

public long getTotalFrameCount() { throw new RuntimeException("Stub!"); }

public int getUid() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getWidgetCategory() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getWidgetId() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public java.lang.String getWidgetState() { throw new RuntimeException("Stub!"); }

public static final java.lang.String WIDGET_CATEGORY_ANIMATION = "animation";

public static final java.lang.String WIDGET_CATEGORY_KEYBOARD = "keyboard";

public static final java.lang.String WIDGET_CATEGORY_MEDIA = "media";

public static final java.lang.String WIDGET_CATEGORY_NAVIGATION = "navigation";

public static final java.lang.String WIDGET_CATEGORY_OTHER = "other";

public static final java.lang.String WIDGET_CATEGORY_SCROLL = "scroll";

public static final java.lang.String WIDGET_CATEGORY_UNSPECIFIED = "unspecified";

public static final java.lang.String WIDGET_STATE_ANIMATING = "animating";

public static final java.lang.String WIDGET_STATE_DRAGGING = "dragging";

public static final java.lang.String WIDGET_STATE_FLINGING = "flinging";

public static final java.lang.String WIDGET_STATE_NONE = "none";

public static final java.lang.String WIDGET_STATE_PLAYBACK = "playback";

public static final java.lang.String WIDGET_STATE_PREDICTIVE_BACK = "predictive_back";

public static final java.lang.String WIDGET_STATE_SCROLLING = "scrolling";

public static final java.lang.String WIDGET_STATE_SWIPING = "swiping";

public static final java.lang.String WIDGET_STATE_TAPPING = "tapping";

public static final java.lang.String WIDGET_STATE_UNSPECIFIED = "unspecified";

public static final java.lang.String WIDGET_STATE_ZOOMING = "zooming";
}

