/*
 * Copyright (C) 2016 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.media;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public interface AudioRouting {

public void addOnRoutingChangedListener(android.media.AudioRouting.OnRoutingChangedListener listener, android.os.Handler handler);

public android.media.AudioDeviceInfo getPreferredDevice();

public android.media.AudioDeviceInfo getRoutedDevice();

@android.annotation.NonNull
public default java.util.List<android.media.AudioDeviceInfo> getRoutedDevices() { throw new RuntimeException("Stub!"); }

public void removeOnRoutingChangedListener(android.media.AudioRouting.OnRoutingChangedListener listener);

public boolean setPreferredDevice(android.media.AudioDeviceInfo deviceInfo);
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface OnRoutingChangedListener {

public void onRoutingChanged(android.media.AudioRouting router);
}

}

