/*
 * Copyright (C) 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.media.quality;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class MediaQualityContract {

MediaQualityContract() { throw new RuntimeException("Stub!"); }

public static final java.lang.String LEVEL_HIGH = "level_high";

public static final java.lang.String LEVEL_LOW = "level_low";

public static final java.lang.String LEVEL_MEDIUM = "level_medium";

public static final java.lang.String LEVEL_OFF = "level_off";
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class PictureQuality {

PictureQuality() { throw new RuntimeException("Stub!"); }

public static final java.lang.String PARAMETER_AUTO_PICTURE_QUALITY_ENABLED = "auto_picture_quality_enabled";

public static final java.lang.String PARAMETER_AUTO_SUPER_RESOLUTION_ENABLED = "auto_super_resolution_enabled";

public static final java.lang.String PARAMETER_BLUE_STRETCH = "blue_stretch";

public static final java.lang.String PARAMETER_BRIGHTNESS = "brightness";

public static final java.lang.String PARAMETER_COLOR_TEMPERATURE = "color_temperature";

public static final java.lang.String PARAMETER_COLOR_TUNE = "color_tune";

public static final java.lang.String PARAMETER_COLOR_TUNER_BLUE_GAIN = "color_tuner_blue_gain";

public static final java.lang.String PARAMETER_COLOR_TUNER_BLUE_OFFSET = "color_tuner_blue_offset";

public static final java.lang.String PARAMETER_COLOR_TUNER_BRIGHTNESS = "color_tuner_brightness";

public static final java.lang.String PARAMETER_COLOR_TUNER_GREEN_GAIN = "color_tuner_green_gain";

public static final java.lang.String PARAMETER_COLOR_TUNER_GREEN_OFFSET = "color_tuner_green_offset";

public static final java.lang.String PARAMETER_COLOR_TUNER_HUE = "color_tuner_hue";

public static final java.lang.String PARAMETER_COLOR_TUNER_RED_GAIN = "color_tuner_red_gain";

public static final java.lang.String PARAMETER_COLOR_TUNER_RED_OFFSET = "color_tuner_red_offset";

public static final java.lang.String PARAMETER_COLOR_TUNER_SATURATION = "color_tuner_saturation";

public static final java.lang.String PARAMETER_CONTRAST = "contrast";

public static final java.lang.String PARAMETER_DECONTOUR = "decontour";

public static final java.lang.String PARAMETER_DYNAMIC_LUMA_CONTROL = "dynamic_luma_control";

public static final java.lang.String PARAMETER_FILM_MODE = "film_mode";

public static final java.lang.String PARAMETER_FLESH_TONE = "flesh_tone";

public static final java.lang.String PARAMETER_GLOBAL_DIMMING = "global_dimming";

public static final java.lang.String PARAMETER_HUE = "hue";

public static final java.lang.String PARAMETER_MPEG_NOISE_REDUCTION = "mpeg_noise_reduction";

public static final java.lang.String PARAMETER_NOISE_REDUCTION = "noise_reduction";

public static final java.lang.String PARAMETER_SATURATION = "saturation";

public static final java.lang.String PARAMETER_SHARPNESS = "sharpness";
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class SoundQuality {

SoundQuality() { throw new RuntimeException("Stub!"); }

public static final java.lang.String PARAMETER_AUTO_VOLUME_CONTROL = "auto_volume_control";

public static final java.lang.String PARAMETER_BALANCE = "balance";

public static final java.lang.String PARAMETER_BASS = "bass";

public static final java.lang.String PARAMETER_DIALOGUE_ENHANCER = "dialogue_enhancer";

public static final java.lang.String PARAMETER_DIGITAL_OUTPUT_DELAY_MILLIS = "digital_output_delay_millis";

public static final java.lang.String PARAMETER_DIGITAL_OUTPUT_MODE = "digital_output_mode";

public static final java.lang.String PARAMETER_DOLBY_AUDIO_PROCESSING_DOLBY_ATMOS = "dolby_audio_processing_dolby_atmos";

public static final java.lang.String PARAMETER_DOLBY_AUDIO_PROCESSING_SOUND_MODE = "dolby_audio_processing_sound_mode";

public static final java.lang.String PARAMETER_DOLBY_AUDIO_PROCESSING_SURROUND_VIRTUALIZER = "dolby_audio_processing_surround_virtualizer";

public static final java.lang.String PARAMETER_DOLBY_AUDIO_PROCESSING_VOLUME_LEVELER = "dolby_audio_processing_volume_leveler";

public static final java.lang.String PARAMETER_DOWN_MIX_MODE = "down_mix_mode";

public static final java.lang.String PARAMETER_DTS_DRC = "dts_drc";

public static final java.lang.String PARAMETER_DTS_VIRTUAL_X_DEFINITION = "dts_virtual_x_definition";

public static final java.lang.String PARAMETER_DTS_VIRTUAL_X_DIALOG_CLARITY = "dts_virtual_x_dialog_clarity";

public static final java.lang.String PARAMETER_DTS_VIRTUAL_X_HEIGHT = "dts_virtual_x_height";

public static final java.lang.String PARAMETER_DTS_VIRTUAL_X_LIMITER = "dts_virtual_x_limiter";

public static final java.lang.String PARAMETER_DTS_VIRTUAL_X_TBHDX = "dts_virtual_x_tbhdx";

public static final java.lang.String PARAMETER_DTS_VIRTUAL_X_TRU_SURROUND_X = "dts_virtual_x_tru_surround_x";

public static final java.lang.String PARAMETER_DTS_VIRTUAL_X_TRU_VOLUME_HD = "dts_virtual_x_tru_volume_hd";

public static final java.lang.String PARAMETER_EARC = "earc";

public static final java.lang.String PARAMETER_SPEAKERS = "speakers";

public static final java.lang.String PARAMETER_SPEAKERS_DELAY_MILLIS = "speakers_delay_millis";

public static final java.lang.String PARAMETER_SURROUND_SOUND = "surround_sound";

public static final java.lang.String PARAMETER_TREBLE = "treble";
}

}

