/*
 * Copyright (C) 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.media.tv.ad;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class TvAdView extends android.view.ViewGroup {

public TvAdView(@android.annotation.NonNull android.content.Context context) { super((android.content.Context)null); throw new RuntimeException("Stub!"); }

public TvAdView(@android.annotation.NonNull android.content.Context context, @android.annotation.Nullable android.util.AttributeSet attrs) { super((android.content.Context)null); throw new RuntimeException("Stub!"); }

public TvAdView(@android.annotation.NonNull android.content.Context context, @android.annotation.Nullable android.util.AttributeSet attrs, int defStyleAttr) { super((android.content.Context)null); throw new RuntimeException("Stub!"); }

public void clearCallback() { throw new RuntimeException("Stub!"); }

public void clearOnUnhandledInputEventListener() { throw new RuntimeException("Stub!"); }

public boolean dispatchKeyEvent(@androidx.annotation.RecentlyNullable android.view.KeyEvent event) { throw new RuntimeException("Stub!"); }

public boolean dispatchUnhandledInputEvent(@android.annotation.NonNull android.view.InputEvent event) { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public android.media.tv.ad.TvAdView.OnUnhandledInputEventListener getOnUnhandledInputEventListener() { throw new RuntimeException("Stub!"); }

public void notifyError(@android.annotation.NonNull java.lang.String errMsg, @android.annotation.NonNull android.os.Bundle params) { throw new RuntimeException("Stub!"); }

public void notifyTvMessage(@android.annotation.NonNull int type, @android.annotation.NonNull android.os.Bundle data) { throw new RuntimeException("Stub!"); }

public void onAttachedToWindow() { throw new RuntimeException("Stub!"); }

public void onDetachedFromWindow() { throw new RuntimeException("Stub!"); }

public void onLayout(boolean changed, int left, int top, int right, int bottom) { throw new RuntimeException("Stub!"); }

public void onMeasure(int widthMeasureSpec, int heightMeasureSpec) { throw new RuntimeException("Stub!"); }

public boolean onUnhandledInputEvent(@android.annotation.NonNull android.view.InputEvent event) { throw new RuntimeException("Stub!"); }

public void onVisibilityChanged(@android.annotation.NonNull android.view.View changedView, int visibility) { throw new RuntimeException("Stub!"); }

public void prepareAdService(@android.annotation.NonNull java.lang.String serviceId, @android.annotation.NonNull java.lang.String type) { throw new RuntimeException("Stub!"); }

public void reset() { throw new RuntimeException("Stub!"); }

public void resetAdService() { throw new RuntimeException("Stub!"); }

public void sendCurrentChannelUri(@android.annotation.Nullable android.net.Uri channelUri) { throw new RuntimeException("Stub!"); }

public void sendCurrentTvInputId(@android.annotation.Nullable java.lang.String inputId) { throw new RuntimeException("Stub!"); }

public void sendCurrentVideoBounds(@android.annotation.NonNull android.graphics.Rect bounds) { throw new RuntimeException("Stub!"); }

public void sendSigningResult(@android.annotation.NonNull java.lang.String signingId, @android.annotation.NonNull byte[] result) { throw new RuntimeException("Stub!"); }

public void sendTrackInfoList(@android.annotation.Nullable java.util.List<android.media.tv.TvTrackInfo> tracks) { throw new RuntimeException("Stub!"); }

public void setCallback(@android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.media.tv.ad.TvAdView.TvAdCallback callback) { throw new RuntimeException("Stub!"); }

public void setOnUnhandledInputEventListener(@android.annotation.NonNull android.media.tv.ad.TvAdView.OnUnhandledInputEventListener listener) { throw new RuntimeException("Stub!"); }

public boolean setTvView(@android.annotation.Nullable android.media.tv.TvView tvView) { throw new RuntimeException("Stub!"); }

public void setZOrderMediaOverlay(boolean isMediaOverlay) { throw new RuntimeException("Stub!"); }

public void setZOrderOnTop(boolean onTop) { throw new RuntimeException("Stub!"); }

public void startAdService() { throw new RuntimeException("Stub!"); }

public void stopAdService() { throw new RuntimeException("Stub!"); }

public static final java.lang.String ERROR_KEY_ERROR_CODE = "error_code";

public static final java.lang.String ERROR_KEY_METHOD_NAME = "method_name";
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static interface OnUnhandledInputEventListener {

public boolean onUnhandledInputEvent(@android.annotation.NonNull android.view.InputEvent event);
}

@SuppressWarnings({"unchecked", "deprecation", "all"})
public abstract static class TvAdCallback {

public TvAdCallback() { throw new RuntimeException("Stub!"); }

public void onRequestCurrentChannelUri(@android.annotation.NonNull java.lang.String serviceId) { throw new RuntimeException("Stub!"); }

public void onRequestCurrentTvInputId(@android.annotation.NonNull java.lang.String serviceId) { throw new RuntimeException("Stub!"); }

public void onRequestCurrentVideoBounds(@android.annotation.NonNull java.lang.String serviceId) { throw new RuntimeException("Stub!"); }

public void onRequestSigning(@android.annotation.NonNull java.lang.String serviceId, @android.annotation.NonNull java.lang.String signingId, @android.annotation.NonNull java.lang.String algorithm, @android.annotation.NonNull java.lang.String alias, @android.annotation.NonNull byte[] data) { throw new RuntimeException("Stub!"); }

public void onRequestTrackInfoList(@android.annotation.NonNull java.lang.String serviceId) { throw new RuntimeException("Stub!"); }

public void onStateChanged(@android.annotation.NonNull java.lang.String serviceId, int state, int err) { throw new RuntimeException("Stub!"); }
}

}

