/*
 * Copyright (C) 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.service.settings.preferences;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class SetValueResult implements android.os.Parcelable {

SetValueResult() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public int getResultCode() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.service.settings.preferences.SetValueResult> CREATOR;
static { CREATOR = null; }

public static final int RESULT_DISABLED = 2; // 0x2

public static final int RESULT_DISALLOW = 7; // 0x7

public static final int RESULT_INTERNAL_ERROR = 9; // 0x9

public static final int RESULT_INVALID_REQUEST = 8; // 0x8

public static final int RESULT_OK = 0; // 0x0

public static final int RESULT_REQUIRE_APP_PERMISSION = 5; // 0x5

public static final int RESULT_REQUIRE_USER_CONSENT = 6; // 0x6

public static final int RESULT_RESTRICTED = 3; // 0x3

public static final int RESULT_UNAVAILABLE = 4; // 0x4

public static final int RESULT_UNSUPPORTED = 1; // 0x1
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder(int resultCode) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.service.settings.preferences.SetValueResult build() { throw new RuntimeException("Stub!"); }
}

}

